<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Iva - Forma de pago</title>
    <?php include('partials/head.php') ?>
    <link href="css/ivaPago.css" rel="stylesheet" type="text/css" />
    <script src="./js/ivaPago.js" type="text/javascript"></script>
    <script src="./js/library/chosen.jquery.min.js" type="text/javascript"></script>
    <link href="./css/library/chosen.min.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <?php include('partials/menu.php') ?>
    <?php include('connections/connection.php');
    $mariaDB = ManagerConection::getAntSoftConexion();
    $sqlDB = ManagerConection::getSigameConexion();
    ?>
    <div class="main">
        <div class="m-head">
            <h2>Configuración de cuentas de Iva y forma de pago </h2>
            <?php
            $queryMaria = "select * from iva_f_pago_cc";
            $result = mysqli_query($mariaDB->connection, $queryMaria);
            if ($result->num_rows <= 0) { ?>
            <div class="c-btns">
                <button type="button" id="btn-add" value="Nuevo" class="btn nuevo"><i class="fas fa-plus"></i>Vincular
                    cuentas</button>
            </div>
            <?php } ?>
            <div class="c-buscar">
                <input id="buscar-iva-pago" class="input-search" type="text" placeholder="Buscar.............." />
                <i class="fas fa-search"></i>
            </div>
        </div>
        <div class="c-table">
            <table cellspacing="0" id="tableConfiguracion" class="table-normal">
                <thead>
                    <tr>
                        <th>N°</th>
                        <th>Cuenta Iva</th>
                        <th>Contra Cuenta Iva</th>
                        <th>Cuenta forma de pago</th>
                        <th>Cuenta Descuento</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <?php while ($row = mysqli_fetch_array($result)) { ?>
                    <tr>
                        <td>
                            <?php echo $row['id'] ?>
                        </td>
                        <td>
                            <?php echo $row['cuenta_c_iva'] . " " . $row['cuenta_c_iva_nombre'] ?>
                        </td>
                        <td>
                            <?php echo $row['contra_c_iva'] . " " . $row['contra_c_iva_nombre'] ?>
                        </td>
                        <td>
                            <?php echo $row['cuenta_c_pago'] . " " . $row['cuenta_c_pago_nombre'] ?>
                        </td>
                        <td>
                            <?php echo $row['cuenta_c_descuento'] . " " . $row['cuenta_c_descuento_nombre'] ?>
                        </td>
                        <td>
                            <div class="box-action">
                                <div class="btn-r" title="Editar asociación"
                                    onclick="editar('<?php echo $row['id'] ?>','<?php echo $row['cuenta_c_iva'] ?>','<?php echo $row['contra_c_iva'] ?>','<?php echo $row['cuenta_c_pago'] ?>','<?php echo $row['cuenta_c_descuento'] ?>')"
                                    style="background-color:#28A745;">
                                    <i class="fas fa-pencil-alt"></i>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal-add">
        <div class="card-m-r">
            <form id="form-add" action="" accept-charset="UTF-8">
                <div class="card-row-tittle">
                    <h2>Asociar cuentas contables con Iva y Forma de pago</h2>
                </div>
                <div class="card-row-tittle">
                    <h4>Iva</h4>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Cuenta contable</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <input type="number" name="id" id="id" style="visibility: hidden; height: 0; display: none;" />
                        <select class="sel" name="id_cc_iva" id="id_cc_iva">
                            <option value="">Seleccione una cuenta contable</option>
                            <?php
                            $querySql = "select cta_co_codigo codigo,cta_co_nombre cuenta from co_cuenta_contable order by cta_co_codigo asc";
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                            <option value="<?php echo $row['codigo'] ?>">
                                <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                            </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Contra cuenta</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_contra_cuenta_iva" id="id_contra_cuenta_iva">
                            <option value="">Seleccione una contra cuenta</option>
                            <?php
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                            <option value="<?php echo $row['codigo'] ?>">
                                <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                            </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row-tittle">
                    <h4>Forma de pago</h4>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Cuenta contable</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_cc_pago" id="id_cc_pago">
                            <option value="">Seleccione una cuenta contable</option>
                            <?php
                            $querySql = "select cta_co_codigo codigo,cta_co_nombre cuenta from co_cuenta_contable order by cta_co_codigo asc";
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                            <option value="<?php echo $row['codigo'] ?>">
                                <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                            </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row-tittle">
                    <h4>Descuento</h4>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Cuenta contable</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_cc_descuento" id="id_cc_descuento">
                            <option value="">Seleccione una cuenta contable</option>
                            <?php
                            $querySql = "select cta_co_codigo codigo,cta_co_nombre cuenta from co_cuenta_contable order by cta_co_codigo asc";
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                            <option value="<?php echo $row['codigo'] ?>">
                                <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                            </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row card-row-add">
                    <button>Agregar <i class="fas fa-angle-right"></i></button>
                </div>
                <div class="card-row card-row-update">
                    <button style="background-color: #237fe9;">Modificar <i class="fas fa-angle-right"></i></button>
                </div>
                <div class="card-row">
                    <button type="button" id="btn-cancel-add"
                        style=" margin-bottom: .5rem; background-color: #898989;">Cancelar
                        <i class="fas fa-angle-right"></i></button>
                </div>
            </form>
        </div>
    </div>
    <div class="containe-toast" id="containe-toast"></div>
    <?php include('partials/wait.php') ?>
</body>

</html>