<?php
use LDAP\Result;

include('connections/connection.php');
include('connections/classAsientoContable.php');

$mariaDB = ManagerConection::getAntSoftConexion();
$sqlDB = ManagerConection::getSigameConexion();
header('Content-Type: application/json; charset=utf-8');
if (isset($_POST['tipo']) && $_POST['tipo'] == 1) {
    if (
        isset($_POST['fecha_desde']) && $_POST['fecha_desde'] &&
        isset($_POST['fecha_hasta']) && $_POST['fecha_hasta']
    ) {
        $queryMaria = "select tb2.subtotal,tb2.iva,sc.id_servicio ,sc.cuenta_c,sc.contra_c,sc.partida_p,sc.programa_p   from (select tb1.cp_codcon, tb1.cp_detalle,sum(tb1.subtotal) as subtotal,sum(tb1.df_vlriva) as iva,sum(f.fa_descli) as descuento from
        (select df.df_numero ,c.cp_codcon,c.cp_detalle ,(df.df_cantid*df.df_vlruni) subtotal, df.df_vlriva
        from facturas f
        inner join detfac df on df.df_numero=f.fa_numero
        inner join conceptos c on c.cp_codcon=df.df_codcon
        where f.emitido=0 and f.fa_fecreg between '" . $_POST['fecha_desde'] . "' and '" . $_POST['fecha_hasta'] . "') tb1
        inner join facturas f on f.fa_numero=tb1.df_numero
        group by tb1.cp_codcon,tb1.cp_detalle) tb2 inner join servicio_cuentas sc on sc.id_servicio=tb2.cp_codcon";
        $result = mysqli_query($mariaDB->connection, $queryMaria);
        if ($result) {
            $band = false;
            while ($result->num_rows > 0) {
                $band = true;
                break;
            }
            if ($band) {
                $servicios = array();
                $sumIva = 0.0;
                while ($row = mysqli_fetch_array($result)) {
                    $srv1 = new AsientoComtableElement(true, $row['subtotal'], $row['cuenta_c'], $row['contra_c'], $row['partida_p'], $row['programa_p']);
                    $sumIva += $row['iva'];
                    array_push($servicios, $srv1);
                }
                $queryMaria = "select cuenta_c_iva,contra_c_iva from iva_f_pago_cc";
                $result = mysqli_query($mariaDB->connection, $queryMaria);
                if ($result) {
                    $ccIva = null;
                    $contracIva = null;
                    while ($row = mysqli_fetch_array($result)) {
                        $ccIva = $row['cuenta_c_iva'];
                        $contracIva = $row['contra_c_iva'];
                    }
                    if (!isset($ccIva)) {
                        http_response_code(500);
                        die(json_encode(array('success' => false, 'info' => 'No se ha configurado una cuenta contable para el Iva!')));
                    } else if (!isset($contracIva)) {
                        http_response_code(500);
                        die(json_encode(array('success' => false, 'info' => 'No se ha configurado una contra cuenta para el Iva!')));
                    } else {
                        $iva = new AsientoComtableElement(false, $sumIva, $ccIva, $contracIva);
                        array_push($servicios, $iva);
                        $objAsientoEmision = AsientoContableMetodos::ObjectAsientoContableEmision($servicios);
                        $xmlAsientoEmision = AsientoContableMetodos::getXml($objAsientoEmision);
                        $sql = "{call co_asiento_contable(?)}";
                        $params = array(array(&$xmlAsientoEmision, SQLSRV_PARAM_IN));
                        $result = sqlsrv_query($sqlDB->connection, $sql, $params);
                        //$querySql = "EXEC co_asiento_contable '" . $xmlAsientoEmision . "'";
                        //$result = sqlsrv_query($sqlDB->connection, $querySql);
                        $estado = false;
                        if ($result) {
                            while ($row = sqlsrv_fetch_array($result, SQLSRV_FETCH_ASSOC)) {
                                
                                if ($row['status'] == 2)
                                    $estado = true;
                            }
                            sqlsrv_free_stmt($result);
                            sqlsrv_close($sqlDB->connection);
                            if ($estado) {
                                $queryMaria = "update facturas set emitido=true where fa_numero in (select distinct f.fa_numero
                            from facturas f where f.recaudado=0 and f.fa_fecreg between '" . $_POST['fecha_desde'] . "' and '" . $_POST['fecha_hasta'] . "')";
                                $result = mysqli_query($mariaDB->connection, $queryMaria);
                                if ($result) {
                                    mysqli_close($mariaDB->connection);
                                    http_response_code(200);
                                    echo json_encode($json);
                                } else {
                                    mysqli_close($mariaDB->connection);
                                    http_response_code(500);
                                    die(json_encode(array('success' => false, 'info' => '' . mysqli_error($mariaDB->connection))));
                                }

                            } else {
                                http_response_code(500);
                                die(json_encode(array('success' => false, 'info' => 'Hubo un error interno!')));
                            }
                        } else {
                            $ok = "";
                            foreach (sqlsrv_errors() as $error) {
                                $ok = str_replace("[Microsoft][ODBC Driver 17 for SQL Server][SQL Server]", "", $error['message']);
                            }
                            try {
                                if ((int) $ok > 0) {
                                    sqlsrv_close($sqlDB->connection);
                                    $queryMaria = "update facturas set emitido=true where fa_numero in (select distinct f.fa_numero
                            from facturas f where f.recaudado=0 and f.fa_fecreg between '" . $_POST['fecha_desde'] . "' and '" . $_POST['fecha_hasta'] . "')";
                                    $result = mysqli_query($mariaDB->connection, $queryMaria);
                                    if ($result) {
                                        mysqli_close($mariaDB->connection);
                                        http_response_code(201);
                                        echo json_encode(array('success' => true));
                                    } else {
                                        mysqli_close($mariaDB->connection);
                                        http_response_code(500);
                                        die(json_encode(array('success' => false, 'info' => '' . mysqli_error($mariaDB->connection))));
                                    }
                                }
                            } catch (Exception $e) {
                                sqlsrv_close($sqlDB->connection);
                                die(json_encode(array('success' => false, 'info' => 'Error al guardar el asiento contable!')));
                            }
                            //die(json_encode(array('success' => false, 'info' => '' . print_r(sqlsrv_errors(), true))));
                        }
                    }
                } else {
                    mysqli_close($mariaDB->connection);
                    http_response_code(500);
                    die(json_encode(array('success' => false, 'info' => '' . mysqli_error($mariaDB->connection))));
                }
            } else {
                mysqli_close($mariaDB->connection);
                http_response_code(500);
                die(json_encode(array('success' => false, 'info' => 'No existen facturas disponibles!')));
            }
        } else {
            mysqli_close($mariaDB->connection);
            http_response_code(500);
            die(json_encode(array('success' => false, 'info' => '' . mysqli_error($mariaDB->connection))));
        }
    } else {
        http_response_code(500);
        die(json_encode(array('success' => false, 'info' => 'Debe ingresar las fechas!')));
    }

} else {
    if (
        isset($_POST['fecha_desde']) && $_POST['fecha_desde'] &&
        isset($_POST['fecha_hasta']) && $_POST['fecha_hasta']
    ) {
        $queryMaria = "select tb1.cp_detalle,sum(tb1.subtotal) subtotal,sum(tb1.df_vlriva) iva,sum(f.fa_descli) descuento from
    (select df.df_numero ,c.cp_detalle ,(df.df_cantid*df.df_vlruni) subtotal, df.df_vlriva
    from facturas f
    inner join detfac df on df.df_numero=f.fa_numero
    inner join conceptos c on c.cp_codcon=df.df_codcon
    where emitido=0 and f.fa_fecreg between '" . $_POST['fecha_desde'] . "' and '" . $_POST['fecha_hasta'] . "') tb1
    inner join facturas f on f.fa_numero=tb1.df_numero
    group by tb1.cp_detalle";
        $result = mysqli_query($mariaDB->connection, $queryMaria);
        if ($result) {
            $json = array();
            while ($row = mysqli_fetch_array($result)) {
                $json[] = array('cp_detalle' => $row['cp_detalle'], 'subtotal' => $row['subtotal'], 'iva' => $row['iva'], 'descuento' => $row['descuento']);
            }
            mysqli_close($mariaDB->connection);
            http_response_code(200);
            echo json_encode(array('fecha_desde' => $_POST['fecha_desde'], 'fecha_hasta' => $_POST['fecha_hasta'], 'datos' => $json));
        } else {
            mysqli_close($mariaDB->connection);
            http_response_code(500);
            die(json_encode(array('success' => false, 'info' => '' . mysqli_error($mariaDB->connection))));
        }
    } else {
        http_response_code(500);
        die(json_encode(array('success' => false, 'info' => 'Debe ingresar las fechas!')));
    }
}
?>