var table;
$(document).ready(function() {
    table = setTable();
    if ($('.chosen-container').length > 0) {
        $('.chosen-container').on('touchstart', function(e) {
            e.stopPropagation();
            e.preventDefault();
            $(this).trigger('mousedown');
        });
    }

    $('#buscar-emision').on('keyup', function() {
        table.search(this.value).draw();
    });

    $("#form-guardar").submit(function(e) {
        $.ajax({
            type: "POST",
            url: 'emisiondb.php',
            data: $(this).serialize(),
            success: function(data) {
                $('.modalwait').css('display', 'none');
                table.clear().destroy();
                table = setTable();
                toast('Sucess', 'Asiento contable generado correctamente!', '<i class="fas fa-check-circle"></i>');
            },
            error: function(data) {
                $('.modalwait').css('display', 'none');
                toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
            }
        });
        $('.modalwait').css('display', 'flex');
        e.preventDefault();
    });

    $("#form-calcular").submit(function(e) {
        $.ajax({
            type: "POST",
            url: 'emisiondb.php',
            data: $(this).serialize(),
            success: function(data) {
                $('.modalwait').css('display', 'none');
                table.clear().destroy();
                $('#tableEmision tbody tr:nth-child(1n+1)').remove();
                $('#fecha_desde_').val(data.fecha_desde);
                $('#fecha_hasta_').val(data.fecha_hasta);
                data.datos.forEach(function(elemento, indice) {
                    $("#tableEmision").find('tbody').append($('<tr>')
                        .append($('<td>').append(indice + 1))
                        .append($('<td>').append(elemento.cp_detalle))
                        .append($('<td>').append(elemento.subtotal))
                        .append($('<td>').append(elemento.descuento))
                        .append($('<td>').append(elemento.iva))
                        .append($('<td>').append((parseFloat(elemento.subtotal) - parseFloat(elemento.descuento) + parseFloat(elemento.iva)))));
                });
                table = setTable();
            },
            error: function(data) {
                console.log(data);
                $('.modalwait').css('display', 'none');
                toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
            }
        });
        $('.modalwait').css('display', 'flex');
        e.preventDefault();
    });

});

function setTable() {
    return $('#tableEmision').DataTable({
        language: {
            lengthMenu: 'Mostrar <select>' +
                '<option value="10">10</option>' +
                '<option value="20">20</option>' +
                '<option value="30">30</option>' +
                '<option value="40">40</option>' +
                '<option value="-1">Todo</option>' +
                '</select> filas',
            info: "",
            processing: "Procesando información",
            search: "Buscar",
            infoEmpty: "No se ha encontrado ningún registro",
            infoFiltered: "",
            zeroRecords: "No hay registros..",
            emptyTable: "No hay datos registrados..",
            paginate: {
                first: "Página 1",
                previous: "Atrás",
                next: "Siguiente",
                last: "Última página"
            }
        }
    });
}