var table;
$(document).ready(function() {
    table = setTable();
    if ($('.chosen-container').length > 0) {
        $('.chosen-container').on('touchstart', function(e) {
            e.stopPropagation();
            e.preventDefault();
            $(this).trigger('mousedown');
        });
    }

    $('#id_cc_iva').chosen();
    $('#id_contra_cuenta_iva').chosen();
    $('#id_cc_pago').chosen();
    $('#id_cc_descuento').chosen();

    $("#btn-add").on("click", function(event) {
        $('.modal-add').css('top', '0%');
        $('.card-row-update').css('display', 'none')
        $('.card-row-add').css('display', 'grid')
    });

    $("#btn-cancel-add").on("click", function(event) {
        $('.modal-add').css('top', '-100%');
        $("#form-add")[0].reset();
        $("#id_cc_iva").val('').trigger("chosen:updated");
        $("#id_contra_cuenta_iva").val('').trigger("chosen:updated");
        $("#id_cc_pago").val('').trigger("chosen:updated");
        $("#id_cc_descuento").val('').trigger("chosen:updated");
    });

    $('#buscar-iva-pago').on('keyup', function() {
        table.search(this.value).draw();
    });

    $("#form-add").submit(function(e) {
        if ($('#id_cc_iva').val() !== '' || $('#id_contra_cuenta_iva').val() !== '' || $('#id_contra_cuenta_pago').val() !== '' || $('#id_cc_pago').val() !== '') {
            $.ajax({
                type: "POST",
                url: 'ivaPago.php',
                data: $(this).serialize(),
                success: function(data) {
                    console.log(data);
                    if (JSON.parse(data).success) {
                        window.location.href = ""
                    }
                },
                error: function(data) {
                    console.log(data);
                    $('.modalwait').css('display', 'none');
                    $('.card-row-add button', '.card-row-add button').attr('disabled', false);
                    toast('Error', JSON.parse(data.responseText).info, '<i class="fas fa-exclamation-circle"></i>');
                }
            });
            $('.modalwait').css('display', 'flex');
            $('.card-row-add button', '.card-row-add button').attr('disabled', true);
        } else {
            toast('Error', 'Para coontinuar, debe seleccionar al menos un combo!', '<i class="fas fa-exclamation-circle"></i>');
        }
        e.preventDefault();
    });

});

function editar(id, cuenta_c_iva, contra_c_iva, cuenta_c_pago, id_cc_descuento) {
    $('#form-add #id').val(id);
    $("#id_cc_iva").val(cuenta_c_iva).trigger("chosen:updated");
    $("#id_contra_cuenta_iva").val(contra_c_iva).trigger("chosen:updated");
    $("#id_cc_pago").val(cuenta_c_pago).trigger("chosen:updated");
    $("#id_cc_descuento").val(id_cc_descuento).trigger("chosen:updated");
    $('.modal-add').css('top', '0%');
    $('.card-row-update').css('display', 'grid')
    $('.card-row-add').css('display', 'none')
}

function setTable() {
    return $('#tableConfiguracion').DataTable({
        language: {
            lengthMenu: 'Mostrar <select>' +
                '<option value="10">10</option>' +
                '<option value="20">20</option>' +
                '<option value="30">30</option>' +
                '<option value="40">40</option>' +
                '<option value="-1">Todo</option>' +
                '</select> filas',
            info: "",
            processing: "Procesando información",
            search: "Buscar",
            infoEmpty: "No se ha encontrado ningún registro",
            infoFiltered: "",
            zeroRecords: "No hay registros..",
            emptyTable: "No hay datos registrados..",
            paginate: {
                first: "Página 1",
                previous: "Atrás",
                next: "Siguiente",
                last: "Última página"
            }
        }
    });

}