var table;
$(document).ready(function() {
    table = setTable();
    if ($('.chosen-container').length > 0) {
        $('.chosen-container').on('touchstart', function(e) {
            e.stopPropagation();
            e.preventDefault();
            $(this).trigger('mousedown');
        });
    }

    $('#id_servicio').chosen();
    $('#id_cc').chosen();
    $('#id_contra_cuenta').chosen();
    $('#id_partida').chosen();
    $('#id_programa').chosen();

    $("#btn-add").on("click", function(event) {
        $('.modal-add').css('top', '0%');
        $('.card-row-update').css('display', 'none')
        $('.card-row-add').css('display', 'grid')
    });

    $("#btn-cancel-add").on("click", function(event) {
        $('.modal-add').css('top', '-100%');
        $("#form-add")[0].reset();
        $("#id_servicio").val('').trigger("chosen:updated");
        $("#id_cc").val('').trigger("chosen:updated");
        $("#id_contra_cuenta").val('').trigger("chosen:updated");
        $("#id_partida").val('').trigger("chosen:updated");
        $("#id_programa").val('').trigger("chosen:updated");
    });

    $('#buscar-servicios').on('keyup', function() {
        table.search(this.value).draw();
    });

    $("#form-add").submit(function(e) {
        $.ajax({
            type: "POST",
            url: 'agregarServicioscc.php',
            contentType: "application/x-www-form-urlencoded;charset=utf-8",
            data: $(this).serialize(),
            success: function(data) {
                console.log(data);
                if (data.success) {
                    window.location.href = ""
                }
            },
            error: function(data) {
                console.log(data);
                $('.modalwait').css('display', 'none');
                $('.card-row-add button', '.card-row-add button').attr('disabled', false);
                toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
            }
        });
        $('.modalwait').css('display', 'flex');
        $('.card-row-add button', '.card-row-add button').attr('disabled', true);
        e.preventDefault();
    });

    $("#id_cc").change(function(e) {
        var js = { tipo: 'cc', cuenta: $('#id_cc').val() }
        $.ajax({
            type: "POST",
            url: 'agregarServicioscc.php',
            contentType: "application/x-www-form-urlencoded;charset=utf-8",
            data: js,
            success: function(data) {
                console.log(data)
                $('#id_partida option').each(function() {
                    if ($(this).val() !== '') {
                        $(this).remove();
                    }
                });
                data.forEach(element => {
                    $('#id_partida').append($('<option>').val(element.codigo).text(element.codigo + ' ' + element.partida));
                });
                $('.modalwait').css('display', 'none');
                $('#id_partida').trigger("chosen:updated");
            },
            error: function(data) {
                $('#id_partida option').each(function() {
                    if ($(this).val() !== '') {
                        $(this).remove();
                    }
                });
                $('#id_partida').trigger("chosen:updated");
                $('.modalwait').css('display', 'none');
                $('.card-row-add button', '.card-row-add button').attr('disabled', false);
                toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
            }
        });
        $('.modalwait').css('display', 'flex');
        $('.card-row-add button', '.card-row-add button').attr('disabled', true);
        e.preventDefault();
    });
    $("#id_partida").change(function(e) {
        var js = { tipo: 'ccp', cuenta: $('#id_partida').val() }
        console.log(js);
        $.ajax({
            type: "POST",
            url: 'agregarServicioscc.php',
            contentType: "application/x-www-form-urlencoded;charset=utf-8",
            data: js,
            success: function(data) {
                console.log(data);
                $('#id_programa option').each(function() {
                    if ($(this).val() !== '') {
                        $(this).remove();
                    }
                });
                data.forEach(element => {
                    $('#id_programa').append($('<option>').val(element.codigo).text(element.codigo + ' ' + element.nombre));
                });
                $('.modalwait').css('display', 'none');
                $('#id_programa').trigger("chosen:updated");
            },
            error: function(data) {
                $('#id_programa option').each(function() {
                    if ($(this).val() !== '') {
                        $(this).remove();
                    }
                });
                $('#id_programa').trigger("chosen:updated");
                $('.modalwait').css('display', 'none');
                $('.card-row-add button', '.card-row-add button').attr('disabled', false);
                toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
            }
        });
        $('.modalwait').css('display', 'flex');
        $('.card-row-add button', '.card-row-add button').attr('disabled', true);
        e.preventDefault();
    });
});

function editar(id, id_servicio, id_cuenta_c, id_contra_c, id_partida, id_programa) {
    var js = { tipo: 'todo', cuenta: id_cuenta_c, adicional: { id: id, id_s: id_servicio, id_cc: id_cuenta_c, id_ccc: id_contra_c, id_p: id_partida, id_pr: id_programa } }
    $.ajax({
        type: "POST",
        url: 'agregarServicioscc.php',
        contentType: "application/x-www-form-urlencoded;charset=utf-8",
        data: js,
        success: function(data) {
            console.log(data)
            $('#id_partida option').each(function() {
                if ($(this).val() !== '') {
                    $(this).remove();
                }
            });
            data.ccp.forEach(element => {
                $('#id_partida').append($('<option>').val(element.codigo).text(element.codigo + ' ' + element.partida));
            });
            $('#id_programa option').each(function() {
                if ($(this).val() !== '') {
                    $(this).remove();
                }
            });
            data.p.forEach(element => {
                $('#id_programa').append($('<option>').val(element.codigo).text(element.codigo + ' ' + element.nombre));
            });

            $('#form-add #id').val(data.adicional.id);
            $("#id_servicio").val(data.adicional.id_s).trigger("chosen:updated");
            $("#id_cc").val(data.adicional.id_cc).trigger("chosen:updated");
            $("#id_contra_cuenta").val(data.adicional.id_ccc).trigger("chosen:updated");
            $("#id_partida").val(data.adicional.id_p).trigger("chosen:updated");
            $("#id_programa").val(data.adicional.id_pr).trigger("chosen:updated");
            $('.modal-add').css('top', '0%');
            $('.card-row-update').css('display', 'grid')
            $('.card-row-add').css('display', 'none')
            $('.modalwait').css('display', 'none');
        },
        error: function(data) {
            console.log(data)
            $('.modalwait').css('display', 'none');
            $('.card-row-add button', '.card-row-add button').attr('disabled', false);
            toast('Error', data.responseJSON.info, '<i class="fas fa-exclamation-circle"></i>');
        }
    });
    $('.modalwait').css('display', 'flex');
    $('.card-row-add button', '.card-row-add button').attr('disabled', true);
}

function setTable() {
    return $('#tableServicioscc').DataTable({
        language: {
            lengthMenu: 'Mostrar <select>' +
                '<option value="10">10</option>' +
                '<option value="20">20</option>' +
                '<option value="30">30</option>' +
                '<option value="40">40</option>' +
                '<option value="-1">Todo</option>' +
                '</select> filas',
            info: "",
            processing: "Procesando información",
            search: "Buscar",
            infoEmpty: "No se ha encontrado ningún registro",
            infoFiltered: "",
            zeroRecords: "No hay registros..",
            emptyTable: "No hay datos registrados..",
            paginate: {
                first: "Página 1",
                previous: "Atrás",
                next: "Siguiente",
                last: "Última página"
            }
        }
    });

}