<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>servicios - C.C.</title>
    <?php include('partials/head.php') ?>
    <link href="css/servicioscc.css" rel="stylesheet" type="text/css" />
    <script src="./js/servicioscc.js" type="text/javascript"></script>
    <script src="./js/library/chosen.jquery.min.js" type="text/javascript"></script>
    <link href="./css/library/chosen.min.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <?php include('partials/menu.php') ?>
    <?php include('connections/connection.php');
    $mariaDB = ManagerConection::getAntSoftConexion();
    $sqlDB = ManagerConection::getSigameConexion();
    ?>
    <div class="main">
        <div class="m-head">
            <h2>Listado servicios - Cuentas contables </h2>
            <div class="c-btns">
                <button type="button" id="btn-add" value="Nuevo" class="btn nuevo"><i class="fas fa-plus"></i>nueva
                    vinculación</button>
            </div>
            <div class="c-buscar">
                <input id="buscar-servicios" class="input-search" type="text"
                    placeholder="Buscar servicios..........." />
                <i class="fas fa-search"></i>
            </div>
        </div>
        <div class="c-table">
            <table cellspacing="0" id="tableServicioscc" class="table-normal">
                <thead>
                    <tr>
                        <th>N°</th>
                        <th>Servicio</th>
                        <th>Cuenta contable</th>
                        <th>Contra cuenta</th>
                        <th>Partida presupuestaria</th>
                        <th>Programa presupuestario</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $queryMaria = "select c.cp_detalle,sc.* from servicio_cuentas sc inner join conceptos c on c.cp_codcon=sc.id_servicio";
                    $result = mysqli_query($mariaDB->connection, $queryMaria);
                    while ($row = mysqli_fetch_array($result)) { ?>
                        <tr>
                            <td>
                                <?php echo $row['id'] ?>
                            </td>
                            <td>
                                <?php echo $row['cp_detalle'] ?>
                            </td>
                            <td>
                                <?php echo $row['cuenta_c'] . " " . $row['cuenta_c_nombre'] ?>
                            </td>
                            <td>
                                <?php echo $row['contra_c'] . " " . $row['contra_c_nombre'] ?>
                            </td>
                            <td>
                                <?php echo $row['partida_p'] . " " . $row['partida_p_nombre'] ?>
                            </td>
                            <td>
                                <?php echo $row['programa_p'] . " " . $row['programa_p_nombre'] ?>
                            </td>
                            <td>
                                <div class="box-action">
                                    <div class="btn-r" title="Editar asociación"
                                        onclick="editar('<?php echo $row['id'] ?>','<?php echo $row['id_servicio'] ?>','<?php echo $row['cuenta_c'] ?>','<?php echo $row['contra_c'] ?>','<?php echo $row['partida_p'] ?>','<?php echo $row['programa_p'] ?>')"
                                        style="background-color:#28A745;">
                                        <i class="fas fa-pencil-alt"></i>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal-add">
        <div class="card-m-r">
            <form id="form-add" action="" accept-charset="UTF-8">
                <div class="card-row-tittle">
                    <h2> Asociar servicio con cuenta contable</h2>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Servicio</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-hand-holding-usd"></i>
                        <input type="number" name="id" id="id" style="visibility: hidden; height: 0; display: none;" />
                        <select class="sel" name="id_servicio" id="id_servicio" required>
                            <option value="">Seleccione un servicio</option>
                            <?php
                            $queryMaria = "select * from conceptos";
                            $result = mysqli_query($mariaDB->connection, $queryMaria);
                            while ($row = mysqli_fetch_array($result)) { ?>
                                <option value="<?php echo $row['cp_codcon'] ?>">
                                    <?php echo $row['cp_detalle'] ?>
                                </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Cuenta contable</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_cc" id="id_cc" required>
                            <option value="">Seleccione una cuenta contable</option>
                            <?php
                            $querySql = "select cta_co_codigo codigo,cta_co_nombre cuenta from co_cuenta_contable where cta_co_clasificacion='M' order by cta_co_codigo asc";
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                                <option value="<?php echo $row['codigo'] ?>">
                                    <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                                </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Contra cuenta</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_contra_cuenta" id="id_contra_cuenta" required>
                            <option value="">Seleccione una contra cuenta</option>
                            <?php
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                                <option value="<?php echo $row['codigo'] ?>">
                                    <?php echo $row['codigo'] . " " . $row['cuenta'] ?>
                                </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Partida presupuestaria</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_partida" id="id_partida" required>
                            <option value="">Seleccione una partida presupuestaria</option>
                        </select>
                    </div>
                </div>
                <div class="card-row">
                    <div class="box-label">
                        <label>Programa presupuestario</label>
                    </div>
                    <div class="box-input">
                        <i class="fas fa-file-invoice-dollar"></i>
                        <select class="sel" name="id_programa" id="id_programa" required>
                            <option value="">Seleccione un programa presupuestario</option>
                            <?php $querySql = "select f_pre_codigo codigo,f_pre_nombre programa from co_funcion_pre where f_pre_clasificacion='M' order by f_pre_codigo asc";
                            $result = sqlsrv_query($sqlDB->connection, $querySql);
                            while ($row = sqlsrv_fetch_array($result)) { ?>
                                <option value="<?php echo $row['codigo'] ?>">
                                    <?php echo $row['codigo'] . " " . $row['programa'] ?>
                                </option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-row card-row-add">
                    <button>Agregar <i class="fas fa-angle-right"></i></button>
                </div>
                <div class="card-row card-row-update">
                    <button style="background-color: #237fe9;">Modificar <i class="fas fa-angle-right"></i></button>
                </div>
                <div class="card-row">
                    <button type="button" id="btn-cancel-add"
                        style=" margin-bottom: .5rem; background-color: #898989;">Cancelar
                        <i class="fas fa-angle-right"></i></button>
                </div>
            </form>
        </div>
    </div>
    <div class="containe-toast" id="containe-toast"></div>
    <?php include('partials/wait.php') ?>
</body>

</html>